summaryrefslogtreecommitdiffstats
path: root/test/TEST-67-INTEGRITY/test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/TEST-67-INTEGRITY/test.sh')
-rwxr-xr-xtest/TEST-67-INTEGRITY/test.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/test/TEST-67-INTEGRITY/test.sh b/test/TEST-67-INTEGRITY/test.sh
new file mode 100755
index 0000000..1ec2d4b
--- /dev/null
+++ b/test/TEST-67-INTEGRITY/test.sh
@@ -0,0 +1,25 @@
+#!/usr/bin/env bash
+# SPDX-License-Identifier: LGPL-2.1-or-later
+set -e
+
+TEST_DESCRIPTION="dm-integrity test"
+
+TEST_NO_NSPAWN=1
+
+# shellcheck source=test/test-functions
+. "${TEST_BASE_DIR:?}/test-functions"
+
+test_append_files() {(
+
+ instmods loop =block
+ instmods dm_integrity =md
+
+ inst_binary integritysetup
+ inst_binary blkid
+ install_dmevent
+
+ generate_module_dependencies
+
+)}
+
+do_test "$@"